import { Palette } from '../../types/Palette';
import { Models } from '../Models';
type SetNodeColorParams = {
    palette: Palette;
    nodeIds: number[];
};
export declare class ColorServices {
    private _palettes;
    private meshnodeToPalette;
    private models;
    private resourceIdToVirtualMeshnodeIndexes;
    constructor(params: {
        models: Models;
    });
    setNodeColor(params: {
        colorPalettes: SetNodeColorParams[];
        resourceId: number;
    }): void;
    setMeshnodeColor(params: {
        palette: Palette;
        virtualMeshnodeIndex: number;
        resourceId: number;
    }): void;
    clearNodeColor(params: {
        nodeIds: number[];
        resourceId: number;
    }): void;
    clearAllNodeColor(resourceId: number): void;
    getPaletteByVirtualMeshnodeIndex(virtualMeshnodeIdx: number): Palette | undefined;
    get palettes(): Palette[];
    private addPalette;
}
export {};
